! closure for ALTERTAX simulation
Exogenous ! Part of closure for altertax runs
          pop
          psaveslack pfactwld
          profitslack incomeslack endwslack
!          cgdslack 
          tradslack
          ams atm atf ats atd
          aosec aoreg avasec avareg
          aintsec aintreg aintall
          afcom afsec afreg afecom afesec afereg
          aoall afall afeall
          au dppriv dpgov dpsave
          to tinc 
          tpreg tm tms tx txs
          qe
          qesf
!    del_tbalry exogenous for all regions except one,
!    and SAVESLACK exogenous for that one region (which can be any one).

del_tbal("aus")
del_tbal("chn")
del_tbal("kor")
del_tbal("jpn")
del_tbal("brn")
del_tbal("mys")
del_tbal("sgp")
del_tbal("vnm")
del_tbal("xea")
del_tbal("ind")
del_tbal("usa")
del_tbal("can")
del_tbal("mex")
del_tbal("arg")
del_tbal("bra")
del_tbal("eur")
del_tbal("tur")
del_tbal("rus")
del_tbal("nzl")
del_tbal("chl")
del_tbal("per")

cgdslack("row");
Rest endogenous;
